
@import "https://unpkg.com/@lumeland/ds@0.5.2/ds.css";
/* Lume's design system */
/* Custom components */
.navbar {
  display: inline-block;
  flex-wrap: wrap;
  column-gap: 1rem;
  row-gap: 1rem;
  justify-content: space-between;
  padding: 0.5rem min(5vw, 5rem);
  align-items: center;
}
.navbar-links {
  padding: 0;
  margin: 0;
  list-style: none;
  display: flex;
  flex-wrap: wrap;
  column-gap: 1.5rem;
  font: var(--font-ui-bold);
  align-items: center;

  & [aria-current="page"] {
    text-decoration: none;
  }
}
.navbar-search {
  padding: 0 1em;
  margin-left: auto;
  display: flex;
  align-items: center;
}
.navbar-home {
  text-decoration: none;
}
.page-header {
  margin-bottom: var(--row-gap-medium);

  & > p:first-child {
    margin-top: 0;
  }
}
.page-title {
  font: var(--font-display);
  letter-spacing: var(--font-display-spacing);
  margin: 0;
  text-wrap: balance;
  color: var(--color-base);
}
.page-navigation {
  margin-bottom: var(--row-gap-medium);

  & ul {
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
    flex-wrap: wrap;
    gap: 0.5em;
  }

  & h2 {
    font: var(--font-body-bold);
    letter-spacing: var(--font-body-spacing);
    margin: 0.5em 0;
  }
}
.page-pagination {
  border-top: solid 1px var(--color-line);
  margin-top: var(--row-gap-medium);
}
.postList {
  list-style: none;
  padding: 0;

  & article.post + article.post {
    margin-top: var(--row-gap-medium);
  }
  & li.post + li.post {
    margin-top: var(--row-gap-small);
  }

  & .post-header {
    margin-bottom: var(--row-gap-xsmall);
  }

  & .post-details {
    font: var(--font-small);
  }

  & .post-title {
    font: var(--font-title);
    letter-spacing: var(--font-title-spacing);
    display: block;

    & a {
      text-decoration: none;
    }
  }
}
.post-header {
  margin-bottom: var(--row-gap-small);
}
.post-title {
  font: var(--font-display);
  letter-spacing: var(--font-display-spacing);
  margin: 0 0 0.2em;
  text-wrap: balance;
  color: var(--color-base);
}
.post-details {
  display: flex;
  flex-flow: row wrap;
  row-gap: 1em;
  column-gap: 0.5em;
  align-items: center;
  font: var(--font-small);

  & p {
    margin: 0;
  }

  & p::after {
    content: "•";
    padding-left: 0.5em;
    align-self: stretch;
  }

  & p:last-of-type {
    margin-right: 0.5em;

    &::after {
      display: none;
    }
  }

  & a {
    color: inherit;
  }
}
.post-tags {
  display: flex;
  flex-flow: row wrap;
  gap: 0.5em;
  align-items: center;
}
.post-link {
  display: inline-block;
}
.comments-section {
  margin-top: 5em;
}
.comments-header {
  & h2 {
    font: var(--font-title);
    letter-spacing: var(--font-title-spacing);
    margin: 0;
    color: var(--color-base);
  }
  & p {
    font: var(--font-ui);
    color: var(--color-dim);
    margin: 0.5em 0;
  }
}
.comments {
  display: block;
  padding: 2em;
  margin-top: 2em;
  background: var(--color-highlight);
  border-radius: var(--border-radius);
  border: solid 1px var(--color-line);
  color: var(--color-dim);
  font: var(--font-small);

  @media (max-width: 450px) {
    margin-left: calc(-15vw / 2);
    margin-right: calc(-15vw / 2);
    border-radius: 0;
    border-left: none;
    border-right: none;
    padding: calc(15vw / 2);
  }

  & a {
    color: currentColor;
  }

  & ul {
    list-style: none;
    margin: 0;
    padding: 0;
  }

  & li {
    container-type: inline-size;

    ul {
      margin-top: 2em;
      padding-top: 2em;
      border-top: solid 1px var(--color-line);
      margin-left: min(var(--indent), 10cqw);
    }
  }

  & li + li {
    margin-top: 2em;
    padding-top: 2em;
    border-top: solid 1px var(--color-line);
  }
  & article {
    max-width: 600px;
  }
  > ul {
    --avatar-size: clamp(32px, 10cqw, 50px);
    --indent: calc(var(--avatar-size) + 15px);
  }

  .comment-avatar {
    width: var(--avatar-size);
    height: var(--avatar-size);
    border-radius: 6px;
    float: left;
    margin-right: 14px;
    box-shadow: 0 0 1px #0009;
  }
  .comment-user {
    text-decoration: none;
    display: block;
    position: relative;
  }
  .comment-author {
    position: absolute;
    left: calc(var(--avatar-size) - 15px);
    top: calc(var(--avatar-size) - 15px);
    background: var(--color-highlight);
    border-radius: 50%;
    width: 20px;
    height: 20px;
    color: var(--color-primary);
  }
  .comment-user:hover .comment-username {
    text-decoration: underline;
  }
  .comment-username {
    margin-right: 0.5em;
    color: var(--color-text);
  }
  .comment-useraddress {
    font-style: normal;
  }
  .comment-time {
    font-size: small;
    display: flex;
    column-gap: 0.3em;
    align-items: center;

    svg {
      width: 1em;
      height: 1em;
      fill: currentColor;
    }
  }
  .comment-address {
    color: currentColor;
    text-decoration: none;
    display: block;
    padding-left: var(--indent);
    margin-top: 0.2em;
  }
  .comment-address:hover {
    text-decoration: underline;
  }
  .comment-body {
    margin-top: 1em;
    margin-left: var(--indent);
    line-height: 1.5;

    .invisible {
      display: none;
    }
    .ellipsis::after {
      content: "…";
    }
    .mention {
      text-decoration: none;
      color: var(--color-text);

      &:hover {
        text-decoration: underline;
      }
    }
  }
  .comment-body p {
    margin: 0.5em 0 0;
  }
  .comment-counts {
    display: flex;
    column-gap: 1em;
    font-size: small;

    & svg {
      color: var(--color-primary);
    }
  }
  .comment-counts > span {
    display: flex;
    align-items: center;
    column-gap: 0.3em;
  }
}
#showcase {
    padding-right: 8%;
    padding-left: 8%;
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
}
#showcase a{
    width: 48%;
    height: 48%;
    margin-bottom: 20px;

    color:#ffffff;
    background-color: rgba(26,25,38,0);
    text-decoration: none;
    transition: 0.8s all;
}
#showcase img{
    width: 100%;
    height: 100%;
    -ms-box-shadow: 0 2px 12px rgba(0,0,0,.65234375);
    box-shadow: 0 2px 12px rgba(0,0,0,.65234375);
    border-radius:2px;
}
#showcase a .img-container:hover .img-desc{
    cursor:pointer;
    background-color:rgba(255, 255, 255, .7);
    color:rgba(0, 0, 0, 1);
}
#showcase a.wide-img{
    width:100%;
}
#showcase .img-container{
    position:relative;
}
#showcase .img-container div.img-desc{
    position: absolute;
    top: 0;
    bottom: 6px;
    left: 0;
    right: 0;
    width: 100%;
    height: calc(100% - 5.6px);
    transition: .3s ease;
    background-color:rgba(0, 0, 0, 0);
    color:rgba(0, 0, 0, 0);
}
#showcase .img-container h1{
    text-align:center;
}
#showcase .img-desc h1{
    margin-top:20%;
    font-size:1vw;
    color: inherit;
}
#showcase .wide-img .img-desc h1{
    margin-top:5%;
}
#showcase .img-desc p{
    text-align:center;
    font-size:1vw;
}
@media(max-width:900px) {
    #showcase a{
        width: 100%;
        height: 100%;
    }
    #showcase .img-desc h1{
        font-size:4.4vw;
    }
    #showcase .img-desc p{
        font-size:3.4vw;
    }
}
/* Make the links black */
:root {
  --color-link: var(--color-base);
  --color-link-hover: var(--color-dim);
  --font-display: var(--font-bold) clamp(2rem, 10vw, 3rem)/1 var(--font-family-display);
}
[data-theme=dark] {
  --color-background: #1F1F1F;
  --color-highlight: #23262c;
  --color-text: #cecece;
}
.footnote {
	color: var( --color-dim);
}
.badge {
	color: var(--color-base) !important;
}
.toc ol {
  color: var(--color-dim);
}
.logo {
	border-radius: 50%;
   margin-top: 20px;
}
table, th, td {
  border: 0.2px solid;
  border-style: dotted;
}
/* Page layout */
main {
  padding: var(--row-gap-medium) 0;
  max-width: min(100% - 15vw, 75em);
  margin: 0 auto;

  & > :first-child {
    margin-top: 0;
  }
}
/* Search tweak */
.search {
  margin-top: var(--row-gap-xsmall);
}